package com.lovecoding.day12.ex02;

public class Test {
    public static void main(String[] args) {
        //创建数组
        Employee[] emps = new Employee[5];
        //数组赋值
        for (int i = 0; i < emps.length; i++) {
            //Integer id, String name, Double salary, Integer age
            emps[i] = new Employee(5-i, "zs",10.0+i, 22+i);
        }

        //查看
        ArrayTools.print(emps);
//        //调用工具
//        System.out.println("----------");
//        ArrayTools.sort(emps);
//        //查看
//        ArrayTools.print(emps);


        System.out.println("----------");
        //id排序
        ArrayTools.sort(emps,new IdComactor());
        ArrayTools.print(emps);

        System.out.println("----------");
        //薪资排序
        ArrayTools.sort(emps,new SalaryComactor());
        ArrayTools.print(emps);

        System.out.println("----------");
        //年龄排序
        ArrayTools.sort(emps,new AgeComactor());
        ArrayTools.print(emps);
    }
}
